---
name: "calipso"
host.hostname: "calipso.local"
base: "freebsd-11.1"
ip4.addr: "auto"

mounts:
  - ["./", "/usr/local/www/project"]

pkg:
  - "pkg"
  - "apache24"
  - "php56"
  - "php56-extensions"
  - "mod_php56"
  - "php56-openssl"
  - "memcached"
  - "redis"
  - "php56-pecl-imagick"
  - "php56-pecl-memcached"
  - "php56-pecl-redis"
  - "ffmpeg"
  - "php56-zip"
  - "php56-fileinfo"
  - "php56-mbstring"
  - "php56-pdo"
  - "php56-pdo_mysql"
  - "php56-pdo_sqlite"
  - "php56-pear-Mail_Mime"
  - "php56-pear-Mail"

cpus: 1

rctl:
  pcpu: {deny: 10}

exec.j-poststart:
  - "cp /usr/local/www/project/configs/httpd.conf /usr/local/etc/apache24/httpd.conf"
  - "cp /usr/local/www/project/configs/php.ini /usr/local/etc/php.ini"
  - "service apache24 onestart"
  - "service memcached onestart"
  - "service redis onestart"
